Package org.silverpeas.sso.azure

# Class AzureRequestRouter

java.lang.Object
jakarta.servlet.GenericServlet
jakarta.servlet.http.HttpServlet
org.silverpeas.core.web.sso.SilverpeasSsoHttpServlet
org.silverpeas.sso.azure.AzureRequestRouter

All Implemented Interfaces:
  `jakarta.servlet.Servlet`, `jakarta.servlet.ServletConfig`, `Serializable`

public class AzureRequestRouter extends org.silverpeas.core.web.sso.SilverpeasSsoHttpServlet

Author:
  silveryocha
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class jakarta.servlet.http.HttpServlet

  `LEGACY_DO_HEAD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AzureRequestRouter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected org.silverpeas.core.web.sso.SilverpeasSsoPrincipal`
  `computeSsoPrincipal(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response)`

  ### Methods inherited from class org.silverpeas.core.web.sso.SilverpeasSsoHttpServlet

  `doGet, doPost`

  ### Methods inherited from class jakarta.servlet.http.HttpServlet

  `doDelete, doHead, doOptions, doPut, doTrace, getLastModified, init, service, service`

  ### Methods inherited from class jakarta.servlet.GenericServlet

  `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AzureRequestRouter

    public AzureRequestRouter()

- ## Method Details

  - ### computeSsoPrincipal

    protected org.silverpeas.core.web.sso.SilverpeasSsoPrincipal computeSsoPrincipal(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response)
    Specified by:
      `computeSsoPrincipal` in class `org.silverpeas.core.web.sso.SilverpeasSsoHttpServlet`